summaryrefslogtreecommitdiff
path: root/tests/rm/r-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/rm/r-1')
-rwxr-xr-xtests/rm/r-126
1 files changed, 6 insertions, 20 deletions
diff --git a/tests/rm/r-1 b/tests/rm/r-1
index 61350bb70..5e05d43ea 100755
--- a/tests/rm/r-1
+++ b/tests/rm/r-1
@@ -1,7 +1,7 @@
#!/bin/sh
# Test "rm -r --verbose".
-# Copyright (C) 1997, 1998, 2000, 2002, 2004, 2006 Free Software
+# Copyright (C) 1997, 1998, 2000, 2002, 2004, 2006, 2007 Free Software
# Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
@@ -25,30 +25,17 @@ if test "$VERBOSE" = yes; then
fi
. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit' 1 2 13 15
+mkdir a a/a || framework_failure
+> b || framework_failure
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-
-mkdir a a/a || framework_failure=1
-> b || framework_failure=1
-
-cat <<\EOF > $test.E || framework_failure=1
+cat <<\EOF > $test.E || framework_failure
removed directory: `a/a'
removed directory: `a'
removed `b'
EOF
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
fail=0
rm --verbose -r a b > $test.O || fail=1
@@ -59,7 +46,6 @@ for d in $dirs; do
done
# Compare expected and actual output.
-cmp $test.E $test.O || fail=1
-test $fail = 1 && diff $test.E $test.O 2> /dev/null
+compare $test.E $test.O || fail=1
(exit $fail); exit $fail